Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Ignorare l'installazione di un pacchetto
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Sw0rdmast3r
n00b
n00b


Joined: 16 Jun 2007
Posts: 46

PostPosted: Fri Jun 29, 2007 2:22 pm    Post subject: Ignorare l'installazione di un pacchetto Reply with quote

Salve, ho dato un
Code:
emerge -DuNav world
perchè ho cambiato profilo e adesso è arrivato in un punto nel quale deve installare x11-drivers/nvidia-drivers-1.0.8776-r1. Siccome non voglio installarlo(installerò la versione più recente in seguito) come faccio per ignorarne l'installazione?Grazie.
_________________
EnTeR ThE MaTrIx
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4533
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Jun 29, 2007 2:31 pm    Post subject: Reply with quote

i driver nvidia non vengono installati se non dietro esplicita richiesta.
Controlla il tuo make.conf.

eventualmente, fai `emerge -C nvidia-drivers`
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Fri Jun 29, 2007 2:40 pm    Post subject: Reply with quote

E' probabile che tu abbia impostato
Code:

VIDEO_CARDS="nvidia"

nel tuo /etc/make.conf, per cui viene inserito tra le dipendenze di x11-base/xorg-server. Per non installarlo devi rimuovere "nvidia" da [i]VIDEO_CARDS[/b] (magari utilizza i driver open "nv"); se fosse già installato (ed emerge vuole aggiornartelo), oltre a modificare questa variabile, rimuovilo come ti ha consigliato cloc3.
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
Sw0rdmast3r
n00b
n00b


Joined: 16 Jun 2007
Posts: 46

PostPosted: Fri Jun 29, 2007 2:40 pm    Post subject: Reply with quote

grazie, il problema era dovuto al fatto che in make.conf avevo impostato VIDEO_CARDS="nvidia".
_________________
EnTeR ThE MaTrIx
Back to top
View user's profile Send private message
skypjack
l33t
l33t


Joined: 05 Aug 2006
Posts: 884
Location: Italia - Firenze

PostPosted: Fri Jun 29, 2007 3:05 pm    Post subject: Reply with quote

Sfruttare package.provided, non vale? :?:
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Fri Jun 29, 2007 3:37 pm    Post subject: Reply with quote

il problema di togliere nvidia da VIDEO_CARDS è che dopo sei costretto a ricompilarti anche i pacchetti che utilizzano questa use (espansa). quindi io lavorerei con provided oppure li installerei subito. non vedo il motivo di installarli "dopo". che cambia, o comunque: non ne capisco il motivo...
Back to top
View user's profile Send private message
Sw0rdmast3r
n00b
n00b


Joined: 16 Jun 2007
Posts: 46

PostPosted: Fri Jun 29, 2007 3:42 pm    Post subject: Reply with quote

Il fatto è che mi scoccio ricompilare di nuovo il kernel in un solo giorno, visto che ho abilitato nvidiafb :lol:
_________________
EnTeR ThE MaTrIx
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4533
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Jun 29, 2007 5:17 pm    Post subject: Reply with quote

Sw0rdmast3r wrote:
Il fatto è che mi scoccio ricompilare di nuovo il kernel in un solo giorno, visto che ho abilitato nvidiafb :lol:

:?: sicuro che sia indispensabile?

penso che, con un po' di organizzazione, si dovrebbe trattare al massimo di ricompilare un singolo pacchetto.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
MeMyselfAndI
l33t
l33t


Joined: 15 Nov 2005
Posts: 784
Location: Between the monitor and the chair

PostPosted: Fri Jun 29, 2007 6:58 pm    Post subject: Reply with quote

No ha ragione lui nvidiafb e driver binari nvidia non sono compatibili.. o uno o l'altro.Cioe' forse e' possibile emergerli lo stesso ma di certo non funzionano.
Back to top
View user's profile Send private message
Sparker
l33t
l33t


Joined: 28 Aug 2003
Posts: 992

PostPosted: Sat Jun 30, 2007 8:07 am    Post subject: Re: Ignorare l'installazione di un pacchetto Reply with quote

Sw0rdmast3r wrote:
Salve, ho dato un
Code:
emerge -DuNav world
perchè ho cambiato profilo e adesso è arrivato in un punto nel quale deve installare x11-drivers/nvidia-drivers-1.0.8776-r1. Siccome non voglio installarlo(installerò la versione più recente in seguito) come faccio per ignorarne l'installazione?Grazie.


Ma non ti conviene semplicemente smascherare la versione più recente che già si trova in portage? (incompatibilita' con nvidiafb a parte)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum